{if isset($error)}
<div class="alert alert-danger"><i class="fa fa-info-circle"></i> {$error}</div>
{/if}
{if isset($success)}
<div class="alert alert-success"><i class="fa fa-info-circle"></i> {$success}</div>
{/if}
<div class="well">
	<strong>Erstellen Sie hier Ihre gew&uuml;nschten Codebl&ouml;cke und Inhalte.</strong><br>
	Mittels Filter k&ouml;nnen Sie diese an die gew&uuml;nschte Position im Code setzen. Ohne Filterangaben werden diese in jeder Seite integriert.<br>
	Mit dem Reiter Variablen k&ouml;nnen Sie feste Variablen setzen, die in allen Codes vorhanden sind.<br>
	Alle vorhanden Smarty Variablen stehen ebenfalls zur Verf&uuml;gung (z.B. Warenkorb, Artikeldetails - falls vorhanden, ...)
</div>


<div class="block container2">
	<button class="btn btn-primary add" name="newCategory" value="1"><i class="fa fa-share"></i> Neue Kategorie erstellen</button>
</div>
<div id="newCategory-div" style="display: none;">
	<form action="" method="post" class="navbar-form">
		<div class="panel-heading"><h3 class="panel-title">Neue Kategorie erstellen</h3></div>
		<div class="panel-body">
			<div class="input-group">
				<span class="input-group-addon"><label for="name">Kategoriename</label></span>
				<span class="input-group-wrap">
					<input class="form-control" id="name" name="name" type="text" placeholder="Kategoriename" />
				</span>
				<span class="input-group-addon">
					<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Geben Sie hier den Namen f&uuml;r die Kategorie an. Dieser dient lediglich zu Ihrer Erkennung der Kategorie."><i class="fa fa-question"></i></button>
				</span>
			</div>
			
			{assign var="lastSort" value="-1"}
			{if isset($categories)}
				{foreach from=$categories item=category}
					{assign var="lastSort" value={$category->sort}}
				{/foreach}
			{/if}
			<input type="hidden" name="insertAt" value="{$lastSort}" >
			<!--
			<div class="input-group">
				<span class="input-group-addon"><label for="insertAt">Position</label></span>
				<span class="input-group-wrap">
					<select class="form-control" id="insertAt" name="insertAt">
						<option value="-1">An den Anfang</option>
						{assign var="lastSort" value="-1"}
						{if isset($categories)}
							{foreach from=$categories item=category}
								<option value="{$category->sort}">Nach {$category->name}</option>
								{assign var="lastSort" value={$category->sort}}
							{/foreach}
						{/if}
						<option value="{$lastSort}" selected>An das Ende</option>
					</select>
				</span>
				<span class="input-group-addon">
					<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Die Position der Kategorie bestimmt die Reihenfolge der Ausgabe im Shop."><i class="fa fa-question"></i></button>
				</span>
			</div>-->
		</div>
		<button type="submit" name="save" value="newCategory" class="btn btn-primary"><i class="fa fa-save"></i> Speichern</button>
	</form>
</div>
{if isset($categories)}
	<div class="panel-group accordion" id="accordion2" role="tablist" aria-multiselectable="true">
	{foreach from=$categories item=category name=foreachcats}
		<div class="panel panel-default">
			<div class="panel-heading accordion-heading">
				<h3 class="panel-title" id="heading-linkgroup-{$category->id}">
					<span class="pull-left">
						<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapselinkgroup-{$category->id}">
							<span class="accordion-toggle-icon"><i class="fa fa-plus"></i></span> {$category->name}
						</a>
					</span>
				</h3>
				<form method="post" action="">
				<input type="hidden" name="id" value="{$category->id}" />
					<span class="btn-group pull-right">
						<!--<button name="editCategory" value="{$category->id}" class="btn btn-primary" title="Kategorie bearbeiten"><i class="fa fa-edit"></i></button>-->
						<button name="save" value="filterCategory" class="btn btn-default add" title="Kategorie-Filter hinzuf&uuml;gen"><i class="fa fa-filter"></i> Kategoriefilter setzen</button>
						<button name="save" value="addEntry" class="btn btn-default add" title="Inhalt bzw. Code hinzuf&uuml;gen"><i class="fa fa-plus"></i> Code/Inhalt</button>
						{if !$smarty.foreach.foreachcats.first}
						<button name="save" value="moveUpCategory" class="btn btn-primary" title="Kategorie 1 nach oben schieben"><i class="fa fa-arrow-up"></i></button>
						{/if}
						{if !$smarty.foreach.foreachcats.last}
						<button name="save" value="moveDownCategory" class="btn btn-primary" title="Kategorie 1 nach unten schieben"><i class="fa fa-arrow-down"></i></button>
						{/if}
						<button name="save" value="deleteCategory" class="btn btn-danger" title="Kategorie Löschen" onclick="return confirm('Wollen Sie diese Kategorie mit allen Elementen wirklich entfernen?');"><i class="fa fa-trash"></i></button>
					</span>
				</form>
			</div>
			<div id="collapselinkgroup-{$category->id}" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading-linkgroup-{$category->id}" aria-expanded="false">
			{if isset($category->entries)}
				<table class="table">
					<tr>
						<th>Name</th>
						<th>Typ</th>
						<th>Sort</th>
						<th>&nbsp;</th>
					</tr>
					{foreach from=$category->entries item=entry}
						<tr class="main">
							<td>{$entry->name}</td>
							<td>
								{if $entry->type == 0}
									HTML-Code
								{elseif $entry->type == 1}
									Inhaltselement
								{elseif $entry->type == 2}
									Plain/Text
								{else}
									-
								{/if}
							</td>
							<td>{$entry->sort}</td>
							<td style="width: 100px;">
								<form action="" method="post">
									<input type="hidden" name="id" value="{$entry->id}" />
									<button name="save" value="editEntry" class="btn btn-primary" title="Variable bearbeiten"><i class="fa fa-edit"></i></button>
									<button name="save" value="deleteEntry" class="btn btn-danger" title="Eintrag l&ouml;schen" onclick="return confirm('Wollen Sie diesen Inhalt wirklich entfernen?');"><i class="fa fa-trash"></i></button>
								</form>
							</td>
						</tr>
					{/foreach}
				</table>
			{else}
				<p class="alert alert-info" style="margin:10px;"><i class="fa fa-info-circle"></i> Keine Inhalte vorhanden.</p>
			{/if}
			</div>
		</div>
	{/foreach}
	</div>
{else}
	<div class="alert alert-info"><i class="fa fa-info-circle"></i> Bitte legen Sie Ihre erste Kategorie an.</div>
{/if}